[Piuparts-commits] [SCM] piuparts git repository branch, develop, updated. 0.49-186-g9cc2008

Andreas Beckmann anbe at debian.org
Sat Mar 9 18:02:04 UTC 2013


The following commit has been merged in the develop branch:
commit 9cc2008c908b238e7b18c39cfacccef06d08ff88
Author: Andreas Beckmann <anbe at debian.org>
Date:   Sat Mar 9 18:02:34 2013 +0100

    add custom scripts to support experimental
    
    Signed-off-by: Andreas Beckmann <anbe at debian.org>

diff --git a/custom-scripts/scripts/post_distupgrade_experimental b/custom-scripts/scripts/post_distupgrade_experimental
new file mode 100755
index 0000000..a3ad63d
--- /dev/null
+++ b/custom-scripts/scripts/post_distupgrade_experimental
@@ -0,0 +1,22 @@
+#!/bin/sh
+set -e
+
+test "$PIUPARTS_DISTRIBUTION" = "experimental" || exit 0
+
+# apt-get -t experimental dist-upgrade may pull in too many
+# packages that are not co-installable in experimental
+# so maintain a list of packages in the sid base system
+# that are in experimental, too, and don't cause problems
+
+PKGS=""
+PKGS="$PKGS libc6"
+PKGS="$PKGS libstdc++6"
+PKGS="$PKGS gcc-4.7-base"
+PKGS="$PKGS ncurses-bin"
+PKGS="$PKGS libcomerr2 libss2"
+PKGS="$PKGS libsepol1"
+PKGS="$PKGS libsemanage1"
+PKGS="$PKGS perl-base"
+PKGS="$PKGS apt libapt-pkg4.12"
+
+apt-get -y -t experimental install $PKGS
diff --git a/custom-scripts/scripts/post_setup_experimental b/custom-scripts/scripts/post_setup_experimental
new file mode 120000
index 0000000..750c96b
--- /dev/null
+++ b/custom-scripts/scripts/post_setup_experimental
@@ -0,0 +1 @@
+post_distupgrade_experimental
\ No newline at end of file
diff --git a/debian/changelog b/debian/changelog
index 64b8022..1e61e98 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -115,6 +115,8 @@ piuparts (0.50) UNRELEASED; urgency=low
   * post_distupgrade_exceptions: Handle libdb4.8 removal in wheezy.
   * pre_remove_50_find_bad_permissions: Add some exceptions.
   * pre_remove_50_find_missing_copyright: Add some exceptions.
+  * post_{setup,distupgrade}_experimental: New custom scripts to improve
+    support for experimental.
   * Add several exceptions for lenny and lenny2squeeze tests.
   * New script to enable Debug::pkgPackageManager during upgrades:
     scripts-debug-packagemanager/pre_distupgrade_debug_packagemanager

-- 
piuparts git repository



More information about the Piuparts-commits mailing list